SyslogFormatter (LogKit API)
Keywords: org.apache.log.format.SyslogFormatter,SyslogFormatter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.format
Class SyslogFormatter

    java.lang.Object
      |
      +--org.apache.log.format.SyslogFormatter

All Implemented Interfaces:
  Formatter, Formatter

public class SyslogFormatter
extends Object
implements Formatter, Formatter

A formatter that serializes in the format originally used by BSD syslog daemon.

Author:
  Peter Donald

Field Summary
`static int` | `FACILITY_AUTH`
`static int` | `FACILITY_AUTHPRIV`
`static int` | `FACILITY_CRON`
`static int` | `FACILITY_DAEMON`
`protected static String[]` | `FACILITY_DESCRIPTIONS`
`static int` | `FACILITY_FTP`
`static int` | `FACILITY_KERN`
`static int` | `FACILITY_LOCAL0`
`static int` | `FACILITY_LOCAL1`
`static int` | `FACILITY_LOCAL2`
`static int` | `FACILITY_LOCAL3`
`static int` | `FACILITY_LOCAL4`
`static int` | `FACILITY_LOCAL5`
`static int` | `FACILITY_LOCAL6`
`static int` | `FACILITY_LOCAL7`
`static int` | `FACILITY_LPR`
`static int` | `FACILITY_MAIL`
`static int` | `FACILITY_NEWS`
`static int` | `FACILITY_SYSLOG`
`static int` | `FACILITY_USER`
`static int` | `FACILITY_UUCP`
`static int` | `PRIORITY_ALERT`
`static int` | `PRIORITY_CRIT`
`static int` | `PRIORITY_DEBUG`
`static int` | `PRIORITY_EMERG`
`static int` | `PRIORITY_ERR`
`static int` | `PRIORITY_INFO`
`static int` | `PRIORITY_NOTICE`
`static int` | `PRIORITY_WARNING`

Constructor Summary
`SyslogFormatter()` Constructor that assumes FACILITY_USER.
`SyslogFormatter(int facility)` Constructor so that you can associate facility with formatter.
`SyslogFormatter(int facility, boolean showFacilityBanner)` Constructor allowing setting of facility and whether to show banner.

Method Summary
`String` | `format(LogEvent event)` Format log event into syslog string.
`protected String` | `getFacilityDescription(int facility)` Retrieve description for facility.
`protected int` | `getSyslogFacility(LogEvent event)` Get facility associated with event.
`protected int` | `getSyslogPriority(LogEvent event)` Get syslog priority code for LogEvent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRIORITY_DEBUG

    public static final int PRIORITY_DEBUG

See Also:
  Constant Field Values

### PRIORITY_INFO

    public static final int PRIORITY_INFO

See Also:
  Constant Field Values

### PRIORITY_NOTICE

    public static final int PRIORITY_NOTICE

See Also:
  Constant Field Values

### PRIORITY_WARNING

    public static final int PRIORITY_WARNING

See Also:
  Constant Field Values

### PRIORITY_ERR

    public static final int PRIORITY_ERR

See Also:
  Constant Field Values

### PRIORITY_CRIT

    public static final int PRIORITY_CRIT

See Also:
  Constant Field Values

### PRIORITY_ALERT

    public static final int PRIORITY_ALERT

See Also:
  Constant Field Values

### PRIORITY_EMERG

    public static final int PRIORITY_EMERG

See Also:
  Constant Field Values

### FACILITY_KERN

    public static final int FACILITY_KERN

See Also:
  Constant Field Values

### FACILITY_USER

    public static final int FACILITY_USER

See Also:
  Constant Field Values

### FACILITY_MAIL

    public static final int FACILITY_MAIL

See Also:
  Constant Field Values

### FACILITY_DAEMON

    public static final int FACILITY_DAEMON

See Also:
  Constant Field Values

### FACILITY_AUTH

    public static final int FACILITY_AUTH

See Also:
  Constant Field Values

### FACILITY_SYSLOG

    public static final int FACILITY_SYSLOG

See Also:
  Constant Field Values

### FACILITY_LPR

    public static final int FACILITY_LPR

See Also:
  Constant Field Values

### FACILITY_NEWS

    public static final int FACILITY_NEWS

See Also:
  Constant Field Values

### FACILITY_UUCP

    public static final int FACILITY_UUCP

See Also:
  Constant Field Values

### FACILITY_CRON

    public static final int FACILITY_CRON

See Also:
  Constant Field Values

### FACILITY_AUTHPRIV

    public static final int FACILITY_AUTHPRIV

See Also:
  Constant Field Values

### FACILITY_FTP

    public static final int FACILITY_FTP

See Also:
  Constant Field Values

### FACILITY_LOCAL0

    public static final int FACILITY_LOCAL0

See Also:
  Constant Field Values

### FACILITY_LOCAL1

    public static final int FACILITY_LOCAL1

See Also:
  Constant Field Values

### FACILITY_LOCAL2

    public static final int FACILITY_LOCAL2

See Also:
  Constant Field Values

### FACILITY_LOCAL3

    public static final int FACILITY_LOCAL3

See Also:
  Constant Field Values

### FACILITY_LOCAL4

    public static final int FACILITY_LOCAL4

See Also:
  Constant Field Values

### FACILITY_LOCAL5

    public static final int FACILITY_LOCAL5

See Also:
  Constant Field Values

### FACILITY_LOCAL6

    public static final int FACILITY_LOCAL6

See Also:
  Constant Field Values

### FACILITY_LOCAL7

    public static final int FACILITY_LOCAL7

See Also:
  Constant Field Values

### FACILITY_DESCRIPTIONS

    protected static final String[] FACILITY_DESCRIPTIONS

Constructor Detail

### SyslogFormatter

    public SyslogFormatter()

  Constructor that assumes FACILITY_USER.

### SyslogFormatter

    public SyslogFormatter(int facility)

  Constructor so that you can associate facility with formatter.

Parameters:
  `facility` - the facility constant

### SyslogFormatter

    public SyslogFormatter(int facility,
                           boolean showFacilityBanner)

  Constructor allowing setting of facility and whether to show banner.

Parameters:
  `facility` - the facility code.
  `showFacilityBanner` - true if facility banner should be shown

Method Detail

### format

    public String format(LogEvent event)

  Format log event into syslog string.

  Specified by:
    `format` in interface `Formatter`
  Parameters:
    `event` - the event
  Returns:
    the formatted string

### getFacilityDescription

    protected String getFacilityDescription(int facility)

  Retrieve description for facility.

  Parameters:
    `facility` - the facility code
  Returns:
    the facility description

### getSyslogFacility

    protected int getSyslogFacility(LogEvent event)

  Get facility associated with event. Default implementation returns facility set in constructor.

  Parameters:
    `event` - the log event
  Returns:
    the facility code

### getSyslogPriority

    protected int getSyslogPriority(LogEvent event)

  Get syslog priority code for LogEvent. This is done by translating LogKit priority to syslog priority.

  Parameters:
    `event` - the log event
  Returns:
    the priority code

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.